<%@ page contentType="text/html; charset=UTF-8"%><%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<%--
<c:if test="${not empty dashboardPaths}">
	<div class="dashboardPaths" >
		<c:forEach var="item" varStatus="status" items="${dashboardPaths}">
			<c:choose>
				<c:when test="${status.last}"><span style="font-size: 15pt;">${item.title}</span></c:when>
				<c:otherwise><a onclick="showBlock( 'dashboardRoot', 'list', { ...dashboardQuery, key: '${item.key}' } ); return false;">${item.title}</a> / </c:otherwise>
			</c:choose>
		</c:forEach>
	</div>
</c:if>
--%>

<style>
	.modern-tile {
		border-radius: 1rem;
		box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
		background-color: #ffffff;
		transition: transform 0.2s ease, box-shadow 0.2s ease;
		cursor: pointer;
		padding: 1rem;
		margin-bottom: 1rem;
		overflow: hidden;
	}

	.modern-tile:hover {
		transform: translateY(-4px);
		box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15);
	}

	.modern-tile .header {
		font-size: 1.25rem;
		font-weight: 600;
		margin-bottom: 0.75rem;
		color: #2c3e50;
	}

	.modern-tile .icon-wrapper {
		width: 48px;
		height: 48px;
		min-width: 48px;
		border-radius: 0.5rem;
		overflow: hidden;
		flex-shrink: 0;
		background-color: #f0f0f0;
		display: flex;
		align-items: center;
		justify-content: center;
	}

	.modern-tile .icon-color {
		width: 100%;
		height: 100%;
		object-fit: contain;
	}

	.modern-tile .body {
		color: #555;
		font-size: 0.95rem;
		line-height: 1.4;
	}
	.dashboard-card {
		border-radius: 1rem;
		box-shadow: 0 4px 16px rgba(0, 0, 0, 0.08);
		background-color: #ffffff;
		padding: 1.5rem;
		margin-bottom: 2rem;
		font-family: 'Segoe UI', sans-serif;
		color: #2c3e50;
		transition: box-shadow 0.2s ease;
	}

	.dashboard-card:hover {
		box-shadow: 0 8px 20px rgba(0, 0, 0, 0.1);
	}

	.dashboard-card .card-title {
		font-size: 1.25rem;
		font-weight: 600;
	}

	.dashboard-card .card-subtitle {
		font-size: 0.95rem;
		font-weight: 500;
		color: #0d6efd;
		text-decoration: none;
	}

	.dashboard-card .card-main {
		font-size: 2.5rem;
		font-weight: 700;
		margin: 1rem 0;
	}

	.dashboard-card .card-text {
		font-size: 1rem;
		color: #0d6efd;
	}

	.dashboard-card .btn-pay {
		font-size: 1.1rem;
		padding: 0.75rem 2rem;
		border-radius: 0.5rem;
	}

	.CUR {
		font-size: inherit;
		font-weight: inherit;
	}

	ul.dashboard {
		list-style: none;
		padding-left: 0;
		margin: 0;
	}
</style>

<div class="d-flex flex-row justify-content-between align-items-stretch mb-2">
</div>
<ul class="dashboard">
	<!-- Договор -->
	<li class="dashboard-card">
		<div class="d-flex justify-content-between align-items-center mb-2">
			<div class="card-title">Договор</div>
			<div><a class="card-subtitle" href="${pageContext.request.contextPath}/webexecuter/b/Contracts">Другие договора</a></div>
		</div>
		<div class="card-main">${sessionScope.contract_current.title}</div>
		<bg:textTrim textClass="card-text" maxLength="100" text="${sessionScope.contract_current.comment}"/>
	</li>

	<!-- Баланс -->
	<li class="dashboard-card">
		<div class="d-flex justify-content-between align-items-center mb-2">
			<div class="card-title">Баланс</div>
			<div class="card-subtitle">Бонусы</div>
		</div>
		<div class="card-main">${balanceSum} <span class="CUR"/></div>
		<div class="card-text">К оплате: 0,00 <span class="CUR"/></div>
		<div class="mt-4">
			<button type="button" class="btn btn-primary btn-pay" onclick="window.location.href='${pageContext.request.contextPath}/webexecuter/b/Payment'">Оплатить</button>
		</div>
	</li>
<c:forEach var="item" items="${dashboardItems}">
	<c:set var="dashboardOnClick">
		<c:choose>
		<c:when test="${item.itemType == 'FOLDER'}">showDashboardBlock( { ...dashboardQuery, key: '${item.key}' } );</c:when>
		<c:when test="${item.itemType == 'LINK'}">window.location.href = '${item.url}'</c:when>
		<c:when test="${item.itemType == 'ASSISTANT_MASTER'}">window.location.href='${pageContext.request.contextPath}/webexecuter/p${item.moduleId}/Assistant?masterId=${item.assistantMasterId}'</c:when>
		<c:when test="${fn:startsWith( item.module, 'ru.bitel.bgbilling.plugins' )}">window.location.href ='${pageContext.request.contextPath}/webexecuter/p${item.moduleId}/${item.action}'</c:when>
		<c:when test="${item.moduleId > 0 }">window.location.href ='${pageContext.request.contextPath}/webexecuter/m${item.moduleId}/${item.action}'</c:when>
		<c:otherwise>window.location.href = '${pageContext.request.contextPath}/webexecuter?action=${item.action}&mid=${item.moduleId}&module=${item.module}&contractId=${contract.id}'</c:otherwise>
		<%--
		<c:otherwise>return showBlock( 'contentRoot', '', { action: '${item.action}', mid: '${item.moduleId}', module: '${item.module}', contractId: '${contract.id}', getBody: true } );</c:otherwise>
		<c:otherwise>window.location.href = '${pageContext.request.contextPath}/webexecuter?action=${item.action}&mid=${item.moduleId}&module=${item.module}&contractId=${contract.id}'</c:otherwise>
		 --%>
		</c:choose>
	</c:set>
	<c:if test="${item.itemType ne 'FOLDER'}">
	<c:set var="bg"><c:if test="${not empty item.icon}">background-attachment: fixed; background-image: url(${pageContext.request.contextPath}/${item.icon}); background-position: 30% 2rem; background-repeat: no-repeat;</c:if></c:set>
		<li class="modern-tile" onclick="${dashboardOnClick}">
			<div class="header">${item.title}</div>
			<div class="d-flex align-items-start gap-3">
				<c:if test="${not empty item.icon}">
					<div class="icon-wrapper">
						<img src="${pageContext.request.contextPath}/${item.icon}" class="icon-color" alt="icon">
					</div>
				</c:if>

				<div class="body flex-fill">
					<c:choose>
						<c:when test="${not empty item.description}">
							${fn:length(item.description) > 100 ? fn:substring(item.description, 0, 100) + '...' : item.description}
						</c:when>
						<c:otherwise>
							<c:forEach var="subItems" varStatus="subStatus" items="${item.subItems}">
								<c:if test="${subStatus.index > 0}">, </c:if>${subItems.title}
							</c:forEach>
						</c:otherwise>
					</c:choose>
				</div>
			</div>
		</li>
	</c:if>
</c:forEach>
</ul>

<script>

function showDashboardBlock( query )
{
	showBlock( 'contentRoot', 'list', query );
}

jQuery("#pageTitle").hide();

</script>
